XPopup: XPopupMenuManager Class Reference

- Main Page
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# XPopupMenuManager Class Reference

blah More...

`#include <xpopupmenumanager.h>`

Collaboration diagram for XPopupMenuManager:

[legend]
List of all members.

## Public Member Functions

void | addMenu (XPopupMenu *p_Menu)
| blah
void | clearMenus ()
| blah
void | deleteMenu (XPopupMenu *p_Menu)
| blah
XPopupMenu * | getMenuByName (TString tsName)
| blah
void | parseXPopupCommand (TString &input)
| blah
void | parseXPopupIdentifier (TString &input, char *szReturnValue)
| blah
| XPopupMenuManager ()
| Constructor.
virtual | ~XPopupMenuManager ()
| Destructor.

## Protected Member Functions

void | parseSwitchFlags (TString *switchs, XSwitchFlags *flags)
| blah
UINT | parseTrackFlags (TString &flags)
| blah

## Protected Attributes

VectorOfXPopupMenu | m_vpXPMenu
| Vector of XPopupMenu Objects.

## Detailed Description

blah

blah

## Constructor & Destructor Documentation

XPopupMenuManager::XPopupMenuManager | ( |  | ) |

| Constructor. blah

XPopupMenuManager::~XPopupMenuManager | ( |  | ) | `[virtual]`

| Destructor. blah

## Member Function Documentation

void XPopupMenuManager::addMenu | ( | XPopupMenu * | p_Menu | ) |

| blah blah

void XPopupMenuManager::clearMenus | ( |  | ) |

| blah blah

void XPopupMenuManager::deleteMenu | ( | XPopupMenu * | p_Menu | ) |

| blah blah

XPopupMenu * XPopupMenuManager::getMenuByName | ( | TString | tsName | ) |

| blah blah

void XPopupMenuManager::parseSwitchFlags | ( | TString * | switchs,
|  | XSwitchFlags * | flags
| ) | `[protected]`

| blah blah

UINT XPopupMenuManager::parseTrackFlags | ( | TString & | flags | ) | `[protected]`

| blah blah

void XPopupMenuManager::parseXPopupCommand | ( | TString & | input | ) |

| blah blah

void XPopupMenuManager::parseXPopupIdentifier | ( | TString & | input,
|  | char * | szReturnValue
| ) |

| blah blah [MENU] [PROP]

The documentation for this class was generated from the following files:

- xpopupmenumanager.h
- xpopupmenumanager.cpp